Bug 97452 - Calendar, Contacts cause Evolution to crash
Summary: Calendar, Contacts cause Evolution to crash
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: evolution   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-16 04:46 UTC by Randy Glenn
Modified: 2007-04-18 16:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-19 08:06:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Randy Glenn 2003-06-16 04:46:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b) Gecko/20030519
Mozilla Firebird/0.6

Description of problem:
When clicking on the Calendar item from with the main window of Evolution 1.4,
the process evolution-1.4 immediately quits. The same happens when trying to
open any contact in the Contacts section.

Version-Release number of selected component (if applicable):
evolution-1.4.0-2

How reproducible:
Always

Steps to Reproduce:
1. Click on Calendar or Contacts in side pane
2. If clicked Contacts, double-click one to open it
    

Actual Results:  Evolution window disappears

Expected Results:  Contact should have oppened, or calendar should have been
displayed

Additional info:

Using a partial Rawhide system - Evolution and all dependencies updated, running
kernel 2.4.20-13.9

Comment 1 Tim Waugh 2003-06-18 15:07:48 UTC
The failure I see is that the 'Calender' pane just has the contents of the 'Task
list' pane.  No calender, just a list of things to do. :-/

Comment 2 Jeremy Katz 2003-06-18 15:45:37 UTC
Randy -- Can you get a backtrace of the crash?

Tim -- the calendar is probably there; drag the vertical slider (I've seen a
couple of reports of this on the evolution list, but havne't seen a good reason
for why it seems to sometimes happen)

Comment 3 Randy Glenn 2003-06-19 03:55:15 UTC
I'm not quite sure how to do a backtrace, however when I run it from a console,
I get this:

/usr/bin/evolution-1.4: relocation error:
/usr/lib/evolution/1.4/components/libevolution-calendar.so: undefined symbol:
e_utf8_strftime

when trying to click on calendar. 

evolution-1.4: relocation error: /usr/lib/evolution/1.4/libemiscwidgets.so.0:
undefined symbol: e_utf8_strftime

occurs when I try to double-click a contact

Comment 4 Jeremy Katz 2003-06-19 03:57:33 UTC
Do you have libgal2-1.99.7 installed?

Comment 5 Randy Glenn 2003-06-19 04:48:06 UTC
Of course I do... not.

D'oh! The calendar, contacts, and the gnome-pilot-conduits-not-instantiating
problem that I hadn't filed yet have all been magically erased with the upgrade
to libgal2-1.99.7-2 from 1.99.6-(something I forget)

.spec file error for Evo?

Comment 6 Jeremy Katz 2003-06-19 08:06:54 UTC
Added more explicit dep to the spec file for the next build -- used to be there,
must have gotten lost when I was cleaning up moving to 1.4.0


Note You need to log in before you can comment on or make changes to this bug.